import { NestMiddleware } from "@nestjs/common";
import { Response, NextFunction } from "express";
import { UsersService } from "./users/users.service";
import { WusergrpService } from "./wusergrp/wusergrp.service";
export declare class AuthorizationMiddleware implements NestMiddleware {
    private readonly userService;
    private userGroupService;
    constructor(userService: UsersService, userGroupService: WusergrpService);
    use(req: any, res: Response, next: NextFunction): Promise<void>;
}
