import { OnModuleInit } from '@nestjs/common';
import { CoreCronService } from './core-cron.service';
import { SchedulerRegistry } from '@nestjs/schedule';
export declare class CoreCronController implements OnModuleInit {
    private readonly coreCronService;
    private schedulerRegistry;
    onModuleInit(): Promise<void>;
    constructor(coreCronService: CoreCronService, schedulerRegistry: SchedulerRegistry);
    triggerCron(id: any): Promise<void>;
    getCrons(): Promise<Map<string, import("cron").CronJob<null, null>>>;
    refresh(): Promise<Map<string, import("cron").CronJob<null, null>>>;
}
