"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CoreCron = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
let CoreCron = class CoreCron extends sequelize_typescript_1.Model {
};
__decorate([
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.INTEGER,
        autoIncrement: true,
        primaryKey: true,
    }),
    __metadata("design:type", Number)
], CoreCron.prototype, "id", void 0);
__decorate([
    (0, sequelize_typescript_1.Length)({ max: 100 }),
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
    }),
    __metadata("design:type", String)
], CoreCron.prototype, "description", void 0);
__decorate([
    (0, sequelize_typescript_1.Length)({ max: 8 }),
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.INTEGER,
        allowNull: false,
    }),
    __metadata("design:type", Number)
], CoreCron.prototype, "script_id", void 0);
__decorate([
    (0, sequelize_typescript_1.Length)({ max: 10 }),
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
    }),
    __metadata("design:type", String)
], CoreCron.prototype, "template_code", void 0);
__decorate([
    (0, sequelize_typescript_1.Length)({ max: 8 }),
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.DATEONLY,
        allowNull: false,
    }),
    __metadata("design:type", Date)
], CoreCron.prototype, "start_at", void 0);
__decorate([
    (0, sequelize_typescript_1.Length)({ max: 8 }),
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.DATEONLY,
        allowNull: false,
    }),
    __metadata("design:type", Date)
], CoreCron.prototype, "end_at", void 0);
__decorate([
    (0, sequelize_typescript_1.Length)({ max: 1 }),
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
    }),
    __metadata("design:type", String)
], CoreCron.prototype, "alert_notification", void 0);
__decorate([
    (0, sequelize_typescript_1.Length)({ max: 200 }),
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
    }),
    __metadata("design:type", String)
], CoreCron.prototype, "notification_email_to", void 0);
__decorate([
    (0, sequelize_typescript_1.Length)({ max: 50 }),
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
    }),
    __metadata("design:type", String)
], CoreCron.prototype, "cron_pattern", void 0);
__decorate([
    (0, sequelize_typescript_1.Length)({ max: 1 }),
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.STRING,
        allowNull: false,
    }),
    __metadata("design:type", String)
], CoreCron.prototype, "status", void 0);
__decorate([
    (0, sequelize_typescript_1.Length)({ max: 8 }),
    (0, sequelize_typescript_1.Column)({
        type: sequelize_typescript_1.DataType.DATEONLY,
        allowNull: false,
    }),
    __metadata("design:type", Date)
], CoreCron.prototype, "created_at", void 0);
CoreCron = __decorate([
    (0, sequelize_typescript_1.Table)({ tableName: "core_cron", timestamps: false })
], CoreCron);
exports.CoreCron = CoreCron;
