"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CoreCronModule = void 0;
const core_cron_controller_1 = require("./core-cron.controller");
const core_cron_service_1 = require("./core-cron.service");
const common_1 = require("@nestjs/common");
const core_scripts_module_1 = require("../core-scripts/core-scripts.module");
const core_cron_provider_1 = require("./core-cron.provider");
const utility_service_1 = require("../../common/service/utility.service");
const msgtemplate_module_1 = require("../../business/communications/msgtemplate/msgtemplate.module");
const msgtemplate_provider_1 = require("../../business/communications/msgtemplate/msgtemplate.provider");
const msgtemplate_service_1 = require("../../business/communications/msgtemplate/msgtemplate.service");
const schedule_1 = require("@nestjs/schedule");
let CoreCronModule = class CoreCronModule {
};
CoreCronModule = __decorate([
    (0, common_1.Module)({
        imports: [core_scripts_module_1.CoreScriptsModule, msgtemplate_module_1.MsgTemplateModule],
        controllers: [core_cron_controller_1.CoreCronController],
        providers: [...core_cron_provider_1.CoreCronProvider, core_cron_service_1.CoreCronService, utility_service_1.UtilityService, ...msgtemplate_provider_1.MsgTemplateProviders, msgtemplate_service_1.MsgTemplateService, schedule_1.SchedulerRegistry],
        exports: [core_cron_service_1.CoreCronService, ...core_cron_provider_1.CoreCronProvider],
    })
], CoreCronModule);
exports.CoreCronModule = CoreCronModule;
